Commit 964a06f3 authored by Naomi Guyer's avatar Naomi Guyer Committed by Aaron Wells

BUG: db versions greater than 10 are failing a version check

Bug 1465107: Use Bootstrap CSS Framework
EG:  '10.0.19'  <  '5.0.25'  evaluates as false

Change string check to check float value instead.

Change-Id: I27809e38a176e0f6b5182f878904c28a772cda6e
parent dd8f805d
......@@ -215,7 +215,7 @@ try {
$okversion = '5.0.25';
$dbfriendlyname = 'MySQL';
}
if ($dbversion['version'] < $okversion) {
if (floatval($dbversion['version']) < floatval($okversion)) {
throw new ConfigSanityException(get_string('dbversioncheckfailed', 'error', $dbfriendlyname, $dbversion['version'], $okversion));
}
......
Markdown is supported
0%
or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment